#
# spec file for package perl-Parse-CPAN-Meta
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Parse-CPAN-Meta
Version:        1.4422
Release:        1.1
%define cpan_name Parse-CPAN-Meta
Summary:        Parse META.yml and META.json CPAN metadata files
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Parse-CPAN-Meta/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta::YAML) >= 0.011
BuildRequires:  perl(JSON::PP) >= 2.27300
Requires:       perl(CPAN::Meta::YAML) >= 0.011
Requires:       perl(JSON::PP) >= 2.27300
%{perl_requires}

%description
*Parse::CPAN::Meta* is a parser for _META.json_ and _META.yml_ files, using
JSON::PP and/or CPAN::Meta::YAML.

*Parse::CPAN::Meta* provides three methods: 'load_file',
'load_json_string', and 'load_yaml_string'. These will read and deserialize
CPAN metafiles, and are described below in detail.

*Parse::CPAN::Meta* provides a legacy API of only two functions, based on
the YAML functions of the same name. Wherever possible, identical calling
semantics are used. These may only be used with YAML sources.

All error reporting is done with exceptions (die'ing).

Note that META files are expected to be in UTF-8 encoding, only. When
converted string data, it must first be decoded from UTF-8.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.mkdn LICENSE README

%changelog
* Mon Jul  4 2016 coolo@suse.com
- updated to 1.4422
  see /usr/share/doc/packages/perl-Parse-CPAN-Meta/Changes
  1.4422    2016-07-02 21:02:57-04:00 America/New_York
    [Fixed]
  - Fixed use of Encode in load_json_string.
  1.4421    2016-06-28 16:59:09-04:00 America/New_York
  - No changes from 1.4420
  1.4420    2016-06-23 07:07:05-04:00 America/New_York (TRIAL RELEASE)
    [TESTS]
  - Adds tests cases for wide characters in META files.
    [PREREQS]
  - Bumps JSON::PP prerequisite to 2.27300 to work around a bug before
    perl 5.8.7.  Includes a test to confirm correct behavior.
  1.4419    2016-04-30 15:32:12+00:00 UTC (TRIAL RELEASE)
  - Re-encode strings before decode_json since that expects bytes
  1.4418    2016-04-24 13:15:53+00:00 UTC (TRIAL RELEASE)
  - Add CPAN_META_JSON_BACKEND to allow requesting non-JSON.pm backends
  - Add CPAN_META_JSON_DECODER to allow Mojo::JSON/JSON::Tiny to be used
    just for decoding.
* Mon Jun 15 2015 coolo@suse.com
- updated to 1.4417
  see /usr/share/doc/packages/perl-Parse-CPAN-Meta/Changes
  1.4417    2015-06-09 16:19:41-06:00 America/Denver
  - No changes from 1.4416
  1.4416    2015-05-19 11:11:47-04:00 America/New_York (TRIAL RELEASE)
    [FIXED]
  - Minimum Perl was inadvertently set to v5.10.0.  Now back to v5.8.1.
  1.4415    2015-04-28 11:29:52-04:00 America/New_York (TRIAL RELEASE)
    [TESTS]
  - Outputs the version of backends used
    [META]
  - Updated repo metadata and boilerplate files
  - Pointed issue tracker to the Perl-Toolchain-Gang Github repo
* Mon Mar 10 2014 coolo@suse.com
- updated to 1.4414
    [ADDED]
  - Added load_string, which uses heuristics to guess YAML/JSON content
    [CHANGED]
  - load_file will now attempt to detect YAML/JSON content if the suffix
    is not .json, .yml or .yaml
  1.4413    2014-02-17 20:04:23-05:00 America/New_York
    [FIXED]
  - UTF-8 decoding is done differently to avoid requiring
    a newer version of Encode (Graham Knop)
  1.4412    2014-02-17 07:14:43-05:00 America/New_York
    [FIXED]
  - Added prerequisite on Encode 2.11 (Paul Howarth)
  1.4411    2014-02-16 23:06:00-05:00 America/New_York
    [FIXED]
  - Invalid UTF-8 encoding in YAML files are now replaced with "PERLQQ"
    quoting from the Encode module and without warnings.
  - Removed legacy test modifications for $ENV{PERL_CORE}
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.4409
    [FIXED]
  - updated Makefile.PL logic to support PERL_NO_HIGHLANDER
  - Installation on Perls < 5.12 will uninstall older versions installed
    due to being bundled with ExtUtils::MakeMaker
  - Fixed incorrect resource metadata
  - Fixed improperly encoded META.yml
* Fri Jul 26 2013 coolo@suse.com
- updated to 1.4405
  - Fixed incorrect "return ... or die ..." constructs
  - Converted distribution to Dist::Zilla management
  - Noted new repository location in the Github Perl-Toolchain-Gang
    organization
* Tue Jun 11 2013 coolo@suse.com
- rebuild for perl 5.18
* Thu May 31 2012 coolo@suse.com
- updated to 1.4404
  - Protected tests from user PERL_YAML/JSON_BACKEND
  - Bumped prereqs: JSON::PP to 2.27200 and CPAN::Meta::YAML to 0.008
* Tue Feb 14 2012 coolo@suse.com
- updated to 1.4402
  - Minor maintenance: standardized newlines to Unix style
* Mon Apr  4 2011 coolo@novell.com
- initial package 1.4401
  * created by cpanspec 1.78.03
